<?xml version="1.0"?>
<!-- This file is protected by Copyright. Please refer to the COPYRIGHT file
     distributed with this source distribution.

     This file is part of OpenCPI <http://www.opencpi.org>

     OpenCPI is free software: you can redistribute it and/or modify it under
     the terms of the GNU Lesser General Public License as published by the Free
     Software Foundation, either version 3 of the License, or (at your option)
     any later version.

     OpenCPI is distributed in the hope that it will be useful, but WITHOUT ANY
     WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
     FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for
     more details.

     You should have received a copy of the GNU Lesser General Public License
     along with this program. If not, see <http://www.gnu.org/licenses/>. -->
<componentspec>
  <property name="bypass" type="bool" writable="true" default="false"
    description="Ignores timestamps, disabling the time-gating functionality."/>
  <property name="gate_all_opcodes" type="bool" initial="true" writable="false" default="false"
    description="Gating applies to all but time and discontinuity opcodes when true, otherwise only applies to sample opcodes."/>
  <property name="leap_seconds" type="uchar" writable="true" default="0"
    description="Current number of leap seconds between UTC and GPS time."/>
  <property name="time_correction" type="ulong" writable="true" default="0"
    description="Unsigned fixed point fraction of second which is subtracted from the applied time to open the gate early so that
      the actual RF transmission happens at the right time"/>
  <property name="late_time_sticky" type="bool" writable="true" volatile="true"
    description="Reports timestamp (corrected) arrived too late - after the indicated time on read, flag cleared on write of true"/>
  <property name="actual_time_to_requested_time_delta" type="ulonglong" writable="false" volatile="true"
    description="Delta between the actual time transmitted (when the gate opens to allow samples through) to the requested
      timestamp (corrected)."/>
  <property name="port_width" type="uchar" initial="true" writable="false" default="16"
    description="Defines the input data width in bits."/>
  <port name="input" producer="false" numberofopcodes="6" defaultbuffersize="16384"/>
  <port name="output" producer="true" numberofopcodes="6" defaultbuffersize="16384"/>
</componentspec>
